NVREADPUBLIC(1)

NAME
nvreadpublic - Runs TPM2_NV_ReadPublic

DESCRIPTION
--version-string=v1045 is not a valid option

nvreadpublic

Runs TPM2_NV_ReadPublic

-ha NV index handle

    [-nalg expected name hash algorithm (sha1, sha256, sha384) (default sha256)]

-se[0-2] session handle / attributes (default PWAP)

    01 continue 20 command decrypt 40 response encrypt 80 audit

--version is not a valid option

nvreadpublic

Runs TPM2_NV_ReadPublic

-ha NV index handle

    [-nalg expected name hash algorithm (sha1, sha256, sha384) (default sha256)]

-se[0-2] session handle / attributes (default PWAP)

    01 continue 20 command decrypt 40 response encrypt 80 audit

SEE ALSO
The full documentation for nvreadpublic is maintained as a Texinfo manual. If the info and nvreadpublic programs are properly installed at your site, the command

    info nvreadpublic

should give you access to the complete manual.